GTK-UPDATE-ICON-CA(1)

NAME
gtk-update-icon-cache - Icon theme caching utility

SYNOPSIS

gtk-update-icon-cache [--force] [--quiet] {iconpath}

DESCRIPTION

 gtk-update-icon-cache creates mmap()able cache files for icon themes.

If expects to be given the path to a icon theme directory, e.g. /usr/share/icons/hicolor, and writes a icon-theme.cache containing cached information about the icons in the directory tree below the given directory.

GTK+ can use the cache files created by gtk-update-icon-cache to avoid a lot of system call and disk seek overhead when the application starts. Since the format of the cache files allows them to be mmap()ed shared between multiple applications, the overall memory consumption is reduced as well.

OPTIONS

--force, -f,
    Overwrite an existing cache file even if it appears to be uptodate.

--quiet, -q,
    Turn off verbose output.

BUGS

None known yet.